Name: libgnomecanvas
Version: 2.2.0.1
Release: alt1

Packager: Yuri N. Sedunov <aris@altlinux.ru>

Summary: GnomeCanvas widget
License: LGPL
Group: System/Libraries
Url: http://www.gnome.org/
Source: %name-%version.tar.bz2

%define gtk_ver 2.2.0
%define glade_ver 2.0.1-alt2
%define pango_ver 1.2.0
%define libart_lgpl_ver 2.3.11

Requires: libgtk+2 >= %gtk_ver
Requires: libart_lgpl >= %libart_lgpl_ver
Requires: libpango >= %pango_ver
Requires: libglade2 >= %glade_ver

BuildPreReq: libgtk+2-devel >= %gtk_ver
BuildPreReq: libart_lgpl-devel >= %libart_lgpl_ver
BuildPreReq: libpango-devel >= %pango_ver
BuildPreReq: libglade2-devel >= %glade_ver

# Automatically added by buildreq on Wed Jan 08 2003
BuildRequires: XFree86-libs XFree86-utils docbook-dtds docbook-style-dsssl fontconfig-devel freetype2-devel glib2-devel glibc-devel-static gtk-doc libXft libart_lgpl-devel libatk-devel libexpat libfontconfig libglade2-devel libgtk+2-devel libpango-devel libxml2-devel openjade pkgconfig sgml-common zlib-devel

%description
The canvas widget allows you to create custom displays using stock items
such as circles, lines, text, and so on. It was originally a port of the
Tk canvas widget but has evolved quite a bit over time.

%package devel
Summary: Libraries and headers for libgnomecanvas
Group: Development/GNOME and GTK+
Requires: %name = %version-%release
Requires: libgtk+2-devel >= %gtk_ver
Requires: libart_lgpl-devel >= %libart_lgpl_ver
Requires: libglade2-devel >= %glade_ver
Requires: libpango-devel >= %pango_ver

%description devel
The canvas widget allows you to create custom displays using stock items
such as circles, lines, text, and so on. It was originally a port of the
Tk canvas widget but has evolved quite a bit over time.

%package devel-static
Summary: Static libraries for libgnomecanvas
Group: Development/GNOME and GTK+
Requires: %name-devel = %version-%release

%description devel-static
The canvas widget allows you to create custom displays using stock items
such as circles, lines, text, and so on. It was originally a port of the
Tk canvas widget but has evolved quite a bit over time.

%prep
%setup -q

%build
export gnomelocaledir="/usr/share/locale"
%configure --enable-gtk-doc

%make_build

%install
%makeinstall

%find_lang %name-2.0

%post -p %post_ldconfig
%postun -p %postun_ldconfig

%files -f %name-2.0.lang
%doc AUTHORS README NEWS
%_libdir/*.so.*
%_libdir/libglade/2.0/*.so

%files devel
%_includedir/*
%_libdir/*.so
%_libdir/*.la
%_libdir/libglade/2.0/*.la
%_libdir/pkgconfig/*
%doc %_datadir/gtk-doc/html/*

%files devel-static
%_libdir/*.a
%_libdir/libglade/2.0/*.a

%changelog
* Thu Jan 23 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.2.0.1-alt1
- 2.2.0.1

* Wed Jan 22 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.2.0-alt1
- 2.2.0

* Wed Jan 08 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.1.90-alt1
- 2.1.90

* Mon Dec 16 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.1.5-alt1
- 2.1.5

* Tue Dec 10 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.1.4-alt1
- 2.1.4

* Tue Dec 03 2002 Stanislav Ievlev <inger@altlinux.ru> 2.1.1-alt2
- change dep on libart_lgpl-devel to libart_lgpl

* Thu Nov 28 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.1.1-alt1
- 2.1.1

* Thu Oct 03 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.1.0-alt1
- 2.1.0

* Mon Sep 16 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.0.4-alt1
- 2.0.4

* Fri Jun 07 2002 Igor Androsov <blake@altlinux.ru> 2.0.0-alt1
- New Version
- Fix Group (Thanks Yuri Sedunov)

* Tue Jun 04 2002 Igor Androsov <blake@altlinux.ru> 1.117.0-alt1.1
- Return *.la from static to devel package

* Tue May 14 2002 Igor Androsov <blake@altlinux.ru> 1.1.117-alt1
- New version

* Thu May 09 2002 Igor Androsov <blace@mail.ru> 1.1.116-blk0.2
- New version from CVS

* Wed May 08 2002 Igor Androsov <blace@mail.ru> 1.1.116-blk0.1
- Changes for AltLinux
- Moved static libs to libgnomecanvas-devel-static

* Mon Feb 25 2002 Gregory Leblanc <gleblanc@linuxweasel.com> 1.112.0-1
- new version

* Sun Feb 17 2002 Gregory Leblanc <gleblanc@linuxweasel.com> 1.111.0-1
- new version
- disabled gtk-doc
- fixed permissions
- disabled binary stripping

* Mon Jan 28 2002 Gregory Leblanc <gleblanc@linuxweasel.com> 1.109.0-4
- changed some depdendencies

* Tue Jan 22 2002 Gregory Leblanc <gleblanc@linuxweasel.com>
- removed tabs from header
- turn off libtoolize, as it breaks lots of things (and fixes nothing, so far as I can see)
- replaced %files section

* Sat Jan 19 2002 Chris Chabot <chabotc@reviewboard.com>
- Imported into gnome 2.0 alpha
- Changed versions accordingly
- Minor cleanups

* Wed Jan  2 2002 Havoc Pennington <hp@redhat.com>
- 1.108.0.90 cvs snap

* Mon Nov 26 2001 Havoc Pennington <hp@redhat.com>
- cvs snap 1.105.0.90, gtk 1.3.11

* Fri Oct 26 2001 Havoc Pennington <hp@redhat.com>
- new cvs snap, rebuild for gtk 1.3.10,
  add libglade dep, fix libart dep

* Fri Oct  5 2001 Havoc Pennington <hp@redhat.com>
- rebuild cvs snap for new glib/gtk

* Fri Sep 21 2001 Havoc Pennington <hp@redhat.com>
- new cvs snap with upstream changes

* Thu Sep 13 2001 Havoc Pennington <hp@redhat.com>
- Initial build.

